# Retrieve a customer

Retrieves details of a Customer.

Endpoint: GET /customer/{id}
Version: 1.0.0
Security: JWT

## Security:

  - `JWT` (unknown)
    http bearer JWT

## Path parameters:

  - `id` (string, required)
    The ID of the customer

## Response 200:

  - `200` (unknown)
    Customer retrieved successfully

## Response 200 fields (application/json):

  - `id` (string)
    The unique identifier for the customer.
    Example: cust_5JU9yv0lGSUP

  - `name` (string)
    The name of the customer.
    Example: John Doe

  - `customer_type` (string)
    The type of customer
    Enum: "individual", "business"

  - `email` (string)
    The email address of the customer.
    Example: customer@gmail.com

  - `phone` (string)
    The phone number of the customer, with country code. Phone number validation is done using the [phonelib](https://github.com/daddyz/phonelib?tab=readme-ov-file) library.
    Example: +91-9023456789

  - `dob` (string)
    The date of birth of the customer
    Example: 2003-11-29

  - `nationality` (string)
    The nationality of the customer
    Example: IND

  - `tax_identification_number` (string)
    **Applicable only to the LRS (Liberalised Remittance Scheme / resident-India remittance) flow.** The customer's PAN (tax identification number), populated only for customers onboarded under LRS and absent otherwise. Searchable via the `tax_identification_number` query parameter on the list-customers endpoint.
    Example: BFQPG7654R

  - `address` (string)
    The street address of the customer.
    Example: 123 Main St

  - `city` (string)
    The city where the customer is located.
    Example: Anytown

  - `state` (string)
    The state where the customer is located.
    Example: Anystate

  - `country` (string)
    The country where the customer is located. Country should be sent as a [ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) code.
    Example: IND

  - `pincode` (string)
    The postal code/pincode of the customer's address. [List of countries where pincode is mandatory](/platform/countries#countries-requiring-pincode) are listed here.
    Example: 560048

  - `status` (string)
    The status of the customer.
    Example: active

  - `created_at` (string)
    Timestamp representing when the customer was created
    Example: 2021-06-01T12:00:00Z

  - `updated_at` (string)
    Timestamp representing when the customer was last updated
    Example: 2021-06-01T12:00:00Z

## Response 404:

  - `404` (unknown)
    Customer not found

## Response 404 fields (application/json):

  - `error` (string)
    Enum: "Not found"

  - `message` (string)
    Entity not found
    Enum: "Entity not found"

